<?php
/**
 * @file
 * Module config.
 */
function mkdru_admin_settings() {
  $form['pz2_js_path']=array(
    '#type' => 'textfield',
    '#title' => t('Path to Pazpar2 client library'),
    '#description' => t('Absolute path to the directory containing pz2.js within the current domain. Do not include leading slash.'),
    '#default_value' => variable_get('pz2_js_path', 'pazpar2/js'),
    '#required' => TRUE
  );
  $form['search_settings']  = array(
    '#type' => 'fieldset',
    '#title' => t('Pazpar2/Service Proxy search settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['search_settings']['pz2_path'] = array(
    '#type' => 'textfield',
    '#title' => t('Pazpar2/Service Proxy path'),    
    '#description' => t('Path that takes Pazpar2 commands via HTTP'),
    '#required' => TRUE,
    '#default_value' => variable_get('pz2_path','/pazpar2/search.pz2')
  );
  $form['search_settings']['use_sessions'] = array(
    '#type' => 'checkbox',    '#title' => t('Session handling'),
    '#description' => t('Disable for use with Service Proxy'),
    '#default_value' => variable_get('use_sessions', '1')
  );

  $form['sp_settings']  = array(
    '#type' => 'fieldset',
    '#title' => t('Service Proxy specific settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['sp_settings']['sp_user'] = array(
    '#type' => 'textfield',
    '#title' => t('Service Proxy username'),
    '#description' => t('Service Proxy username'),
    '#required' => FALSE,
    '#default_value' =>  variable_get('sp_user','')
  );
  $form['sp_settings']['sp_pass'] = array(
    '#type' => 'textfield',
    '#title' => t('Service Proxy password'),
    '#description' => t('Service Proxy password'),
    '#required' => FALSE,
    '#default_value' => variable_get('sp_pass','')
  );
  return system_settings_form($form);
}
